
From: Paul Mundt <lethal@Linux-SH.ORG>

resource.h was falling a bit behind, so we use the asm-sh version instead.
This exposed another compile issue with init_task.c, which in turn needed
linux/mqueue.h.

Signed-off-by: Paul Mundt <lethal@linux-sh.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sh64/kernel/init_task.c |    1 
 25-akpm/include/asm-sh64/resource.h  |   49 ++---------------------------------
 2 files changed, 5 insertions(+), 45 deletions(-)

diff -puN arch/sh64/kernel/init_task.c~sh64-fix-init_taskc-build arch/sh64/kernel/init_task.c
--- 25/arch/sh64/kernel/init_task.c~sh64-fix-init_taskc-build	Thu Jul  8 15:18:10 2004
+++ 25-akpm/arch/sh64/kernel/init_task.c	Thu Jul  8 15:18:10 2004
@@ -13,6 +13,7 @@
 #include <linux/mm.h>
 #include <linux/sched.h>
 #include <linux/init_task.h>
+#include <linux/mqueue.h>
 
 #include <asm/uaccess.h>
 #include <asm/pgtable.h>
diff -puN include/asm-sh64/resource.h~sh64-fix-init_taskc-build include/asm-sh64/resource.h
--- 25/include/asm-sh64/resource.h~sh64-fix-init_taskc-build	Thu Jul  8 15:18:10 2004
+++ 25-akpm/include/asm-sh64/resource.h	Thu Jul  8 15:18:10 2004
@@ -1,47 +1,6 @@
-#ifndef __ASM_SH_RESOURCE_H
-#define __ASM_SH_RESOURCE_H
+#ifndef __ASM_SH64_RESOURCE_H
+#define __ASM_SH64_RESOURCE_H
 
-/*
- * Resource limits
- */
+#include <asm-sh/resource.h>
 
-#define RLIMIT_CPU	0		/* CPU time in ms */
-#define RLIMIT_FSIZE	1		/* Maximum filesize */
-#define RLIMIT_DATA	2		/* max data size */
-#define RLIMIT_STACK	3		/* max stack size */
-#define RLIMIT_CORE	4		/* max core file size */
-#define RLIMIT_RSS	5		/* max resident set size */
-#define RLIMIT_NPROC	6		/* max number of processes */
-#define RLIMIT_NOFILE	7		/* max number of open files */
-#define RLIMIT_MEMLOCK	8		/* max locked-in-memory address space */
-#define RLIMIT_AS	9		/* address space limit */
-#define RLIMIT_LOCKS	10		/* maximum file locks held */
-
-#define RLIM_NLIMITS	11
-
-#ifdef __KERNEL__
-
-/*
- * SuS says limits have to be unsigned.
- * Which makes a ton more sense anyway.
- */
-#define RLIM_INFINITY	(~0UL)
-
-#define INIT_RLIMITS					\
-{							\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{      _STK_LIM, RLIM_INFINITY },		\
-	{             0, RLIM_INFINITY },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{             0,             0 },		\
-	{      INR_OPEN,     INR_OPEN  },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-	{ RLIM_INFINITY, RLIM_INFINITY },		\
-}
-
-#endif /* __KERNEL__ */
-
-#endif /* __ASM_SH_RESOURCE_H */
+#endif /* __ASM_SH64_RESOURCE_H */
_
